Package org.apache.tomcat.util.buf

## Class C2BConverter

- java.lang.Object
- - org.apache.tomcat.util.buf.C2BConverter

    public final class C2BConverter
    extends java.lang.Object

NIO based character encoder.

### Constructor Summary

Constructors
`C2BConverter​(java.nio.charset.Charset charset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `convert​(java.nio.CharBuffer cc, java.nio.ByteBuffer bc)` Convert the given characters to bytes.
`void` `convert​(CharChunk cc, ByteChunk bc)` Convert the given characters to bytes.
`java.nio.charset.Charset` `getCharset()`
`boolean` `isUndeflow()`
`void` `recycle()` Reset the encoder state.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### C2BConverter

    public C2BConverter​(java.nio.charset.Charset charset)

### Method Detail

#### recycle

    public void recycle()

Reset the encoder state.

#### isUndeflow

    public boolean isUndeflow()

#### convert

    public void convert​(CharChunk cc,
                        ByteChunk bc)
                 throws java.io.IOException

Convert the given characters to bytes.

Parameters:
  `cc` - char input
  `bc` - byte output
Throws:
  `java.io.IOException` - An encoding error occurred

#### convert

    public void convert​(java.nio.CharBuffer cc,
                        java.nio.ByteBuffer bc)
                 throws java.io.IOException

Convert the given characters to bytes.

Parameters:
  `cc` - char input
  `bc` - byte output
Throws:
  `java.io.IOException` - An encoding error occurred

#### getCharset

    public java.nio.charset.Charset getCharset()